@# Dialogs

Dialogs present content overlaid over other parts of the UI.

<div class="@ns-callout @ns-intent-primary @ns-icon-info-sign">
    <h4 class="@ns-heading">Terminology note</h4>
    The term "modal" is sometimes used to mean "dialog," but this is a misnomer.
    _Modal_ is an adjective that describes parts of a UI.
    An element is considered modal if it
    [blocks interaction with the rest of the application](https://en.wikipedia.org/wiki/Modal_window).
    We use the term "dialog" to avoid confusion with the adjective.
</div>

@reactExample DialogExample

@## JavaScript API

The `Dialog` component is available in the **@blueprintjs/core** package.
Make sure to review the [getting started docs for installation info](#blueprint/getting-started).

There are two ways to render dialogs:

* injected into a newly created element attached to `document.body` using `<Portal>`.
  This is the default behavior.
* in-place in the DOM tree. Set `usePortal={false}` to enable this behavior.

`Dialog` is a stateless React component. The children you provide to this component
are rendered as contents inside the `.@ns-dialog` element.

@interface IDialogProps

@## CSS API

You can create dialogs manually using the HTML markup and `@ns-dialog-*` classes below.
However, you should use the dialog [JavaScript APIs](#core/components/dialog.javascript-api)
whenever possible, as they automatically generate some of this markup.

More examples of dialog content are shown below.

@css dialog
